.img-logo {
    max-height: 350px;
    max-width: 325px;
    margin: 0 auto;
    padding-top: 10px;
}

.alert {
    margin-bottom: 0px;
}

.card .card-content {
    padding: 0px;
}

.login-box {
  padding-top: 8%;
}

/*Template 1*/
.template1-row1 > #q1 > .component-container > .innerdiv  {
  margin-bottom: 10px;
  height: 90% !important;
}

/*Template 2*/
.template2-row1 > #q1 > .component-container > .innerdiv  {
  margin-bottom: 10px;
  height: 85% !important;
}

.template2-row2 > #q2 > .component-container > .innerdiv  {
  margin-bottom: 10px;
  height: 80% !important;
}


/*Template 3*/
.template3-row1 > #q1 > .component-container > .innerdiv  {
  margin-bottom: 10px;
  height: 90% !important;
}

.template3-row2 > #q2 > .component-container > .innerdiv  {
  margin-bottom: 10px;
  height: 80% !important;
}

.template3-row2 > #q3 > .component-container > .innerdiv  {
  margin-bottom: 10px;
  height: 80% !important;
}

/*Template 4*/
.template4-row1 > #q1 > .component-container > .innerdiv  {
  margin-bottom: 10px;
  height: 85% !important;
}

.template4-row1 > #q2 > .component-container > .innerdiv  {
  margin-bottom: 10px;
  height: 85% !important;
}

.template4-row2 > #q3 > .component-container > .innerdiv  {
  margin-bottom: 10px;
  height: 80% !important;
}

.template4-row2 > #q4 > .component-container > .innerdiv  {
  margin-bottom: 10px;
  height: 80% !important;
}


.row {
    margin-right: 0px;
    margin-left: 0px;
    margin-bottom: 0px;
}

.allquadrants{
	padding-left: 5px;
    padding-right: 5px;
}

h4.page-header {
    text-align: center;
    margin: 0px;
    padding: 10px;
/*    	display: flex; */
    justify-content: space-between;
    min-height: 60px !important;
    color: white;
    border-bottom: none;
}

.headerText {
	float: left;
	font-weight: bold;
    font-size: larger;
}

.trashbuttondiv {
	float: right;
}

div#q1, div#q2, div#q3, div#q4 {
    height: 100% !important;
}

.nav>li {
    padding-left: 10px;
}

.view-container {
    height: 100% !important;
}

.navbar-fixed-bottom, .navbar-fixed-top {
    position: inherit;
    margin-bottom: 0px;
    min-height: 10% !important;
    max-height: 30% !important;
}

.template1-row1 {
    margin-right: 10px;
    margin-left: 10px;
    height: 90% !important;
}

.template2-row1, .template3-row1, .template4-row1 {
    margin-right: 10px;
    margin-left: 10px;
    min-height: 34% !important;
    height: 44% !important;
    margin-bottom: 1%;
}

.template2-row2, .template3-row2, .template4-row2 {
    margin-right: 10px;
    margin-left: 10px;
    min-height: 34% !important;
    height: 44% !important;
/*     display: grid; */
}

.component-container {
    height: 100% !important;
}

/* 
  Big screen ipad
*/
@media (min-width: 1281px) {
  
  .micbutton {
    height: 80px;
    width: 80px;
    margin: 0px 110px 20px 110px;
    cursor: pointer;
    border-radius: 50%; 
	}
    
    .micbuttonsonecomponent {
      height: 80px;
	  width: 80px;
	  margin: 0px 80px 80px 80px;
	  cursor: pointer;
	  border-radius: 50%;
	  font-size: xx-large !important;
    }  
    
	.readonly-messages {
	    height: 98%;
		overflow-y: scroll;
		font-size: large;
	}
	
	.messages {
	    height: 85% !important; 
		overflow-y: scroll;
		font-size: large;
	}
	
	.keys {
	    float: left;
	    margin: 0px 0px 30px 90px;
	    border: 2px solid black;
	    color: white;
	    font-size: large;
	    padding: 10px;
	    position: absolute;
	}
	
	.keyssmallquadrant {
	    float: left;
	    border: 2px solid black;
	    color: white;
	    font-size: inherit;
	    padding: 10px;
	}
}

/* 
  ##Device = mini ipad
  ##Screen = B/w 1025px to 1280px
*/

@media (min-width: 1025px) and (max-width: 1280px) {
  .micbutton {
	    height: 60px;
	    width: 60px;
	    margin: 0px 90px 20px 90px;
	  cursor: pointer;
	  border-radius: 50%;
	  
	}
	
	.micbuttonsonecomponent {
	    height: 60px;
	    width: 60px;
	    margin: 0px 90px 100px 90px;
	  cursor: pointer;
	  border-radius: 50%;
	  
	}  
	
	.readonly-messages {
	    height: 95% !important; 
		overflow-y: scroll;
		font-size: large;
	}
	
	.messages {
	    height: 76% !important; 
		overflow-y: scroll;
		font-size: large;
	}
  
  	.readonly-messages-onecomponentchat {
	    height: 100%; 
		overflow-y: scroll;
		font-size: large;
	}
	
	.messages-onecomponentchat {
	    height: 90%; 
		overflow-y: scroll;
		font-size: large;
	}
	
	 .keys {
	    float: left;
	    margin: 0px 0px 20px 90px;
	    border: 2px solid black;
	    color: white;
	    font-size: large;
	    padding: 10px;
	}

	.keyssmallquadrant {
	    border: 2px solid black;
	    color: white;
	    font-size: inherit;
	    padding: 10px;
	    text-align: center;
	}
}

/* 
  ##Device = Mini Ipads (portrait)
  ##Screen = B/w 768px to 1024px
*/

@media (min-width: 768px) and (max-width: 1024px) and (orientation: portrait) {
  
    .micbutton {
	    height: 55px;
	    width: 55px;
	    margin: 0px 60px 15px 60px;
	  cursor: pointer;
	  border-radius: 50%;
	  
	}
	
	.micbuttonsonecomponent {
	    height: 60px;
	    width: 60px;
	    margin: 0px 90px 100px 90px;
	  cursor: pointer;
	  border-radius: 50%;
	  
	}  
	
	.readonly-messages {
	    height: 98% !important; 
		overflow-y: scroll;
		font-size: large;
	}
	
	.messages {
	    height: 86% !important; 
		overflow-y: scroll;
		font-size: large;
	}
  
  	.readonly-messages-onecomponentchat {
	    height: 100%; 
		overflow-y: scroll;
		font-size: large;
	}
	
	.messages-onecomponentchat {
	    height: 90%; 
		overflow-y: scroll;
		font-size: large;
	}
	
	 .keys {
	    float: left;
	    margin: 0px 0px 20px 50px;
	    border: 2px solid black;
	    color: white;
	    font-size: small;
	    padding: 10px;
	}

	.keyssmallquadrant {
	    border: 2px solid black;
	    color: white;
	    font-size: inherit;
	    padding: 10px;
	    text-align: center;
	}
}

/* 
  ##Device = Tablets, Ipads (landscape)
  ##Screen = B/w 768px to 1024px
*/

@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {
  
  .micbutton {
	    height: 50px;
	    width: 50px;
	    margin: 0px 90px 15px 90px;
	  cursor: pointer;
	  border-radius: 50%;
	  
	}
	
	.micbuttonsonecomponent {
	    height: 80px;
	    width: 80px;
	    margin: 0px 80px 80px 80px;
	  cursor: pointer;
	  border-radius: 50%;
	  font-size: xx-large !important;
	}  
	
	.readonly-messages {
	    height: 92%; 
		overflow-y: scroll;
		font-size: large;
	}
	
	.messages {
	    height: 75% !important; 
		overflow-y: scroll;
		font-size: large;
	}
	
	.readonly-messages-onecomponentchat {
	    height: 90%; 
		overflow-y: scroll;
		font-size: large;
	}
	
	.messages-onecomponentchat {
	    height: 85%;
		overflow-y: scroll;
		font-size: large;
	}
  
  .keys {
	    float: left;
	    margin: 0px 0px 20px 90px;
	    border: 2px solid black;
	    color: white;
	    font-size: large;
	    padding: 10px;
	}
	
	.keyssmallquadrant {
	    border: 2px solid black;
	    color: white;
	    font-size: inherit;
	    padding: 10px;
	    text-align: center;
	}
}

/* 
  ##Device = Low Resolution Tablets, Mobiles (Landscape)
  ##Screen = B/w 481px to 767px
*/

@media (min-width: 481px) and (max-width: 767px) {
	
	.navbar-nav .open .dropdown-menu  {
	background-color: silver;
	border: 1;
	}
}

/* 
  ##Device = Most of the Smartphones Mobiles (Portrait)
  ##Screen = B/w 320px to 479px
*/

@media (min-width: 320px) and (max-width: 480px) {
  
  .navbar-nav .open .dropdown-menu  {
	background-color: silver;
	border: 1;
	}

  .micbutton {
	  height: 45px;
    	width: 45px;
    	margin: 0px 30px 20px 10px;
	  cursor: pointer;
	  border-radius: 50%;
	}
	
	.micbuttonsonecomponent {
	    height: 50px;
	   	width: 50px;
	   	margin: 0px 15px 75px 15px;
	  cursor: pointer;
	  border-radius: 50%;
	}
	
	.readonly-messages {
	    height: 90%; 
		overflow-y: scroll;
		font-size: large;
	}
	
	.messages {
	    height: 70%;
	    overflow-y: scroll;
	    font-size: large;
	}
  
  .readonly-messages-onecomponentchat {
	    height: 460px; 
		overflow-y: scroll;
		font-size: large;
	}
	
	.messages-onecomponentchat {
	    height: 420px; 
		overflow-y: scroll;
		font-size: large;
	}
	
  .keys {
	    float: left;
	    border: 2px solid black;
	    color: white;
	    font-size: inherit;
    	padding: 5px;
	}
	
	.keyssmallquadrant {
	    float: left;
	    border: 2px solid black;
	    color: white;
	    font-size: inherit;
	    padding: 10px;
	}
}



.key1 {color: #4CAF50;     padding-right: 10px; padding-left: 10px;} /* Green */
.key2 {color: #f44336; padding-right: 10px;padding-left: 40px;} /* Red */ 
.key3 {color: blue; padding-right: 10px;padding-left: 40px;} /* Blue */
.key3::after {padding-right: 10px;}

.button0 {background-color: darkgoldenrod;} 
.button1 {background-color: #4CAF50;} /* Green */
.button2 {background-color: #f44336;} /* Red */ 
.button3 {background-color: blue;} /* Blue */
.button4 {background-color: #555555;} /* Black */

.button {
  border: none;
  color: white;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  font-weight: bold;
  
}

.message-textbox{
	display: table-row;
}


.stagecomm-header {
    text-align: center;
    color: #00A94F;
}

.highlighted-text {
    padding: 10px 5px;
}

button#delete {
    padding: 5px;
}

.chat-messages {
    display: table;
    width: 100%;
    height: 250px;
}

.resetmics{
	float:right;
	margin: 0px 90px 20px 0px;
}

.resetbutton {
    background-color: black;
    padding: 10px;
}

.divTableCellleft.col-sm-6 {
    border-right: 1px solid #dddddd;
  
}

.powericon {
    color: white;
    font-size: x-large;
}

.whitetext {
	color: white;
}

.podium-header{
	background-color: #00A94F;
}

.program-header{
	background-color: #00A94F;
}

.default-header{
	background-color: #F1C40F;
}

.stage-header{
	background-color: blue;
}

button#send {
	color: #00A94F;
}

.divTableRow {
    display: flex;
}

.divTable.form-group {
    display: grid;
}

.panel {
    margin-bottom: 1px;
}
    
i.fa.fa-bolt {
    color: red;
}


.topquadrantright {
    min-height: 320px;
    float: right;
}

.topquadrantleft {
    min-height: 320px;
    float: left;
}

.bottomquadrantleft {
    padding-bottom: 20px;   
    float: left;
}

.bottomquadrantright {
    padding-bottom: 20px;   
    float: right;
}




/* the actual CSS to make them evenly spaced: */

#layout-template {
    display: flex;
    justify-content: space-between;
}


/* just some presentational styles: */

#layout-template {
    border: 1px solid rgb(41, 41, 41);
}

#layout-template div {


    border-width: 0 1px;
    border-style: solid;
}

#layout-template div:first-child {
    border-left: 0;
}

#layout-template div:last-child {
    border-right: 0;
}


.buttons-container {
    margin-top: 10px;
    display: flex;
    flex-direction: row;
    flex-flow: row wrap;
    justify-content: space-around; 
    height: 80%;
}

#buttons-container button:first-child {
    border-left: 0;
}

#buttons-container button:last-child {
    border-right: 0;
}

.micbuttonssmallquadrant {
    height: 60px;
    width: 60px;
    margin: 0px 30px 25px 30px;
  cursor: pointer;
  border-radius: 50%;
  
}

ul.nav.navbar-nav.navbar-right {
    margin-right: 0px;
}



.navbar-center.col-sm-8 {
    text-align: center;
    padding-left: 0px;
}

.btn-success {
    background-color: #00A94F;
}



.navbar-header {
	font-size: large;
    color: white;
    margin-top: 10px;
    padding-left: inherit;
}



input.search-box {
    font-size: initial;
}

.container.chatroom {
	padding: 30px 0px 30px 0px;
	}

html,body {
	font-family: 'Varela Round', sans-serif;
	font-size: 13px;
	background-color: dimgray;
    height: 100% !important;
    touch-action: manipulation;
}
.table-wrapper {
       background: #fff;
	border-radius: 3px;
       box-shadow: 0 1px 1px rgba(0,0,0,.05);
       margin-bottom: 30px; 
   }
.table-title {        
	padding-bottom: 15px;
	background: #005DAA;
	padding: 16px 0px;
	border-radius: 3px 3px 0 0;
   }
   .table-title h2 {
	margin: 5px 0 0;
	font-size: 24px;
}
.table-title .btn-group {
	float: right;
}
.table-title .btn {
	color: #fff;
	float: right;
	font-size: 13px;
	border: none;
	min-width: 50px;
	border-radius: 2px;
	border: none;
	outline: none !important;
	margin-left: 10px;
}
.table-title .btn i {
	float: left;
	font-size: 21px;
	margin-right: 5px;
}
.table-title .btn span {
	float: left;
	margin-top: 2px;
}
table.table tr th, table.table tr td {
border-color: #e9e9e9;
padding: 12px 15px;
vertical-align: middle;
}
table.table tr th:first-child {
	width: 60px;
}
table.table tr th:last-child {
	width: 100px;
}
   table.table-striped tbody tr:nth-of-type(odd) {
   	background-color: #fcfcfc;
}
table.table-striped.table-hover tbody tr:hover {
	background: #f5f5f5;
}
  table.table th i {
      font-size: 13px;
      margin: 0 5px;
      cursor: pointer;
  }	
  table.table td:last-child i {
opacity: 0.9;
font-size: 22px;
      margin: 0 5px;
  }
table.table td a {
	font-weight: bold;
	color: #566787;
	display: inline-block;
	text-decoration: none;
	outline: none !important;
}
table.table td a:hover {
	color: #2196F3;
}
table.table td a.edit {
       color: #FFC107;
   }
   table.table td a.delete {
       color: #F44336;
   }
   table.table td i {
       font-size: 19px;
   }
table.table .avatar {
	border-radius: 50%;
	vertical-align: middle;
	margin-right: 10px;
}
   .pagination {
       float: right;
       margin: 0 0 5px;
   }
   .pagination li a {
       border: none;
       font-size: 13px;
       min-width: 30px;
       min-height: 30px;
       color: #999;
       margin: 0 2px;
       line-height: 30px;
       border-radius: 2px !important;
       text-align: center;
       padding: 0 6px;
   }
   .pagination li a:hover {
       color: #666;
   }	
   .pagination li.active a, .pagination li.active a.page-link {
       background: #03A9F4;
   }
   .pagination li.active a:hover {        
       background: #0397d6;
   }
.pagination li.disabled i {
       color: #ccc;
   }
   .pagination li i {
       font-size: 16px;
       padding-top: 6px
   }
   .hint-text {
       float: left;
           margin: 10px;
       font-size: 13px;
   }    
/* Custom checkbox */
.custom-checkbox {
	position: relative;
}
.custom-checkbox input[type="checkbox"] {    
	opacity: 0;
	position: absolute;
	margin: 5px 0 0 3px;
	z-index: 9;
}
.custom-checkbox label:before{
	width: 18px;
	height: 18px;
}
.custom-checkbox label:before {
	content: '';
	margin-right: 10px;
	display: inline-block;
	vertical-align: text-top;
	background: white;
	border: 1px solid #bbb;
	border-radius: 2px;
	box-sizing: border-box;
	z-index: 2;
}
.custom-checkbox input[type="checkbox"]:checked + label:after {
	content: '';
	position: absolute;
	left: 6px;
	top: 3px;
	width: 6px;
	height: 11px;
	border: solid #000;
	border-width: 0 3px 3px 0;
	transform: inherit;
	z-index: 3;
	transform: rotateZ(45deg);
}
.custom-checkbox input[type="checkbox"]:checked + label:before {
	border-color: #03A9F4;
	background: #03A9F4;
}
.custom-checkbox input[type="checkbox"]:checked + label:after {
	border-color: #fff;
}
.custom-checkbox input[type="checkbox"]:disabled + label:before {
	color: #b8b8b8;
	cursor: auto;
	box-shadow: none;
	background: #ddd;
}
/* Modal styles */
.modal .modal-dialog {
	max-width: 400px;
}


.modal .modal-content {
	border-radius: 3px;
}
.modal .modal-footer {
	background: #ecf0f1;
	border-radius: 0 0 3px 3px;
}
   .modal .modal-title {
       display: inline-block;
   }
.modal .form-control {
	border-radius: 2px;
	box-shadow: none;
	border-color: #dddddd;
}
.modal textarea.form-control {
	resize: vertical;
}
.modal .btn {
	border-radius: 2px;
	min-width: 100px;
}	
.modal form label {
	font-weight: normal;
}
th.NameColumn {
    min-width: 200px;
}	